Loading...
Searching...
No Matches
shared.hpp File Reference
`#include <robin_hood.h>`
`#include <seqan3/alphabet/nucleotide/dna4.hpp>`
`#include <seqan3/io/sequence_file/input.hpp>`
`#include <seqan3/search/dream_index/interleaved_bloom_filter.hpp>`
`#include <seqan3/search/kmer_index/shape.hpp>`
`#include <seqan3/search/views/minimiser_hash.hpp>`

Go to the source code of this file.

## Classes

struct | all_arguments
| arguments used for all tools More...
struct | min_arguments
| arguments used for estimate, ibf, minimiser More...
struct | estimate_ibf_arguments
| arguments used for estimate, ibf, ibfmin More...
struct | my_traits
| Use dna4 instead of default dna5. More...

## Functions

template<class IBFType>
void | load_ibf (IBFType &ibf, std::filesystem::path ipath)
| Function, loading compressed and uncompressed ibfs.
template<class IBFType>
void | store_ibf (IBFType const &ibf, std::filesystem::path opath)
| Function, which stored compressed and uncompressed ibfs.

## Function Documentation

## load_ibf()

template<class IBFType>

void load_ibf | ( | IBFType & | ibf,
|  | std::filesystem::path | ipath )

Function, loading compressed and uncompressed ibfs.

Parameters

  ibf | ibf to load
  ipath | Path, where the ibf can be found.

## store_ibf()

template<class IBFType>

void store_ibf | ( | IBFType const & | ibf,
|  | std::filesystem::path | opath )

Function, which stored compressed and uncompressed ibfs.

Parameters

  ibf | The IBF to store.
  opath | Path, where the IBF should be stored.